CONFIG +=			release \
					warn_on \
					qt \
					thread 

TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		interpolationeditord
} else {
	TARGET =		interpolationeditor
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets

}

# DEPENDPATH +=		<relative path>/lib
# INCLUDEPATH +=	<relative path>/src
# LIBS+=			-L<relative path>/lib -l<library name>

SOURCES +=			../core/graphwidget.cpp \
					../core/interpolation.cpp \
					../core/tableeditor.cpp \
					../core/valueedit.cpp \
					../core/vector2.cpp \
					../core/vector3.cpp \
					src/interpolationeditor.cpp \
					src/interpolationgraphdialog.cpp \
					src/main.cpp

HEADERS +=			../core/graphwidget.h \
					../core/interpolation.h \
					../core/tableeditor.h \
					../core/valueedit.h \
					../core/vector2.h \
					../core/vector3.h \
					src/interpolationeditor.h \
					src/interpolationgraphdialog.h

RESOURCES +=		res/interpolationeditor.qrc

macx{

ICON =				res/icons.icns
OBJECTIVE_SOURCES += ../core/nspool.mm
HEADERS += 			../core/nspool.mm
LIBS +=				-framework AppKit -framework Cocoa

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/interpolationeditor
}
target.path =		$$PREFIX
target.files =		bin/interpolationeditor
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/interpolationeditor
}

win32 {
RC_FILE =			res/resource.rc
}
